org.springframework.web.socket.sockjs.frame

## Class DefaultSockJsFrameFormat

- java.lang.Object
- - org.springframework.web.socket.sockjs.frame.DefaultSockJsFrameFormat

All Implemented Interfaces:
  SockJsFrameFormat

    public class DefaultSockJsFrameFormat
    extends Object
    implements SockJsFrameFormat

A default implementation of `SockJsFrameFormat` that relies on `String.format(String, Object...)`..

Since:
  4.0
Author:
  Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`DefaultSockJsFrameFormat(String format)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `format(SockJsFrame frame)`
`protected String` `preProcessContent(String content)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultSockJsFrameFormat

    public DefaultSockJsFrameFormat(String format)

### Method Detail

#### format

    public String format(SockJsFrame frame)

Specified by:
  `format` in interface `SockJsFrameFormat`

#### preProcessContent

    protected String preProcessContent(String content)